Bug 684429 - Review Request: wbfs-manager - A WBFS manager for Linux using GTK+
Summary: Review Request: wbfs-manager - A WBFS manager for Linux using GTK+
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Randy Berry
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-12 14:11 UTC by David Riches
Modified: 2011-06-24 17:55 UTC (History)
4 users (show)

Fixed In Version: wbfs-manager-0.1.12-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-29 23:20:16 UTC
Type: ---
randyn3lrx: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description David Riches 2011-03-12 14:11:29 UTC
Spec URL: http://dcr226.fedorapeople.org/SPECS/linux-wbfs-manager.spec
SRPM URL: http://dcr226.fedorapeople.org/SRPMS/linux-wbfs-manager-0.1.12-1.fc14.src.rpm
Description: This is yet another graphic WBFS manager for Linux. It uses libwbfs from Kwiirk and caristat (available from the authors at http://github.com/kwiirk/wbfs/tree/master).

Comment 1 David Riches 2011-03-12 14:13:51 UTC
[david@drlaptop SPECS]$ rpmlint linux-wbfs-manager.spec 
linux-wbfs-manager.spec: W: invalid-url Source0: http://linux-wbfs-manager.googlecode.com/files/linux-wbfs-manager-0.1.12.tar.gz HTTP Error 404: Not Found
0 packages and 1 specfiles checked; 0 errors, 1 warnings.
[david@drlaptop SPECS]$ 

Works for me, I think this occasionally happens with RPMLINT

[david@drlaptop SPECS]$ rpmlint ../SRPMS/linux-wbfs-manager-0.1.12-1.fc14.src.rpm 
linux-wbfs-manager.src: W: spelling-error %description -l en_US libwbfs -> libbers, libidos, Libyans
linux-wbfs-manager.src: W: spelling-error %description -l en_US caristat -> aristate, cristate, Carissa
linux-wbfs-manager.src: W: invalid-url Source0: http://linux-wbfs-manager.googlecode.com/files/linux-wbfs-manager-0.1.12.tar.gz HTTP Error 404: Not Found
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
[david@drlaptop SPECS]$ 

Spelling errors which I don't think block, and the URL - again

[david@drlaptop SPECS]$ rpmlint ../RPMS/i686/linux-wbfs-manager-0.1.12-1.fc14.i686.rpm 
linux-wbfs-manager.i686: W: spelling-error %description -l en_US libwbfs -> libbers, libidos, Libyans
linux-wbfs-manager.i686: W: spelling-error %description -l en_US caristat -> aristate, cristate, Carissa
linux-wbfs-manager.i686: W: no-documentation
linux-wbfs-manager.i686: W: no-manual-page-for-binary wbfs_gtk
1 packages and 0 specfiles checked; 0 errors, 4 warnings.


As before

Comment 3 Randy Berry 2011-03-12 16:21:32 UTC
================================
Key:

[P] Pass
[F] Fail See [n]
[-] Not applicable
[?] Questions (see comments)

================================

[F]  MUST: rpmlint must be run on every package. The output should be
     posted in the review.

    linux-wbfs-manager.i686: W: spelling-error %description -l en_US
    libwbfs -> libbers, libidos, Libyans
    linux-wbfs-manager.i686: W: spelling-error %description -l en_US
    caristat -> aristate, cristate, Carissa
    linux-wbfs-manager.i686: W: no-documentation
    linux-wbfs-manager.i686: W: no-manual-page-for-binary wbfs_gtk
    linux-wbfs-manager.src: W: spelling-error %description -l en_US
    libwbfs -> libbers, libidos, Libyans
    linux-wbfs-manager.src: W: spelling-error %description -l en_US
    caristat -> aristate, cristate, Carissa
    linux-wbfs-manager.src: W: invalid-url Source0: http://linux-
    wbfs-manager.googlecode.com/files/linux-wbfs-manager-0.1.12.tar.gz
    HTTP Error 404: Not Found
    linux-wbfs-manager-debuginfo.i686: E: empty-debuginfo-package
    linux-wbfs-manager.spec: W: invalid-url Source0: http://linux-
    wbfs-manager.googlecode.com/files/linux-wbfs-manager-0.1.12.tar.gz
    HTTP Error 404: Not Found
    
    3 packages and 1 specfiles checked; 1 errors, 8 warnings.

     Spelling warnings can be ignored.
     HTTP error is a false positive links direct to source tarball.

     Error: empty-debuginfo-package must be addressed.
     
     The README file included in the source should be included
     in the package.

[?]  MUST: The package must be named according to the Package Naming
     Guidelines.
     
     This package installs wbfs_gtk would it be possible to simplify
     the name to "wbfs-manager"? This more reflects the actual application
     it installs. The "linux" in the package name is a bit redundant in my
     opinion.

     http://fedoraproject.org/wiki/Packaging:NamingGuidelines prohibits
     the use of an underscore in package names so (with few exceptions
     referenced in the document) so that blocks out naming the package
     "wbfs_gtk".

[?]  MUST: The spec file name must match the base package %{name},
     in the format %{name}.spec unless your package has an exemption.

     This goes with the question of the naming of the package above.

[?]  MUST: The package must meet the Packaging Guidelines.

     Naming in question discussed above.

[P]  MUST: The package must be licensed with a Fedora approved
     license and meet the Licensing Guidelines.

     GPLv2       

[P]  MUST: The License field in the package spec file must match
     the actual license.

[-]  MUST: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of
     the license(s) for the package must be included in %doc.

     Licensing information gathered from source headers and project page.

[P]  MUST: The spec file must be written in American English.

[P]  MUST: The spec file for the package MUST be legible.

[P]  MUST: The sources used to build the package must match the upstream
     source, as provided in the spec URL.

     b5379f2dcdf21699f0b3012c14fbf1a8  linux-wbfs-manager-0.1.12.tar.gz
     b5379f2dcdf21699f0b3012c14fbf1a8  linux-wbfs-manager-0.1.12.tar.gz(2)

[P]  MUST: The package MUST successfully compile and build into binary
     rpms on at least one primary architecture.

[-]  MUST: If the package does not successfully compile, build or work on
     an architecture, then those architectures should be listed in the spec
     in ExcludeArch. 

[P]  MUST: All build dependencies must be listed in BuildRequires,
     except for any that are listed in the exceptions section of the
     Packaging Guidelines ; inclusion of those as BuildRequires is
     optional.

[-]  MUST: The spec file MUST handle locales properly. This is done by
     using the %find_lang macro.

[-]  MUST: Every binary RPM package (or sub package) which stores shared
     library files (not just symlinks) in any of the dynamic linker's
     default paths, must call ldconfig in %post and %postun.

[-]  MUST: If the package is designed to be relocatable, the packager
     must state this fact in the request for review, along with the
     rationalization for relocation of that specific package.
     
[-]  MUST: A package must own all directories that it creates.

[P]  MUST: A package must not contain any duplicate files in the %files
     listing.

[P]  MUST: Permissions on files must be set properly.

[?]  MUST: The %clean section is not required for F-13 and above.

     The spec includes this line but it may be removed if there are no
     plans to build for EPEL

[P]  MUST: Each package must consistently use macros, as described in the
     macros section of Packaging Guidelines.

[P]  MUST: The package must contain code, or permissible content.
     This is described in detail in the code vs. content section
     of Packaging Guidelines.

[-]  MUST: Large documentation files should go in a -doc sub package.
   
[-]  MUST: If a package includes something as %doc, it must not affect the
     runtime of the application.

[-]  MUST: Header files must be in a -devel package.

[-]  MUST: Static libraries must be in a -static package.

[-]  MUST: Packages containing pkgconfig(.pc) files must 'Requires:
     pkgconfig' (for directory ownership and usability).

[-]  MUST: If a package contains library files with a suffix
     (e.g. libfoo.so.1.1), then library files that end in .so
     (without suffix) must go in a -devel package.

[-]  MUST: In the vast majority of cases, devel packages must require
     the base package using a fully versioned dependency: Requires:
     %{name} = %{version}-%{release}

[-]  MUST: Packages must NOT contain any .la libtool archives,
     these should be removed in the spec.

[F]  MUST: Packages containing GUI applications must include a
     %{name}.desktop file,and that file must be properly installed
     with desktop-file-install in the %install section.

     This package contains a GUI therefore it should have a desktop file.
     http://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files

[P]  MUST: Packages must not own files or directories already owned by
     other packages. 

[?]  MUST: At the beginning of %install, each package MUST run
     rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ). (For EPEL Only)
 
     The spec includes this line but it may be removed if there are no
     plans to build for EPEL

[P]  MUST: All file names in rpm packages must be valid UTF-8.

SHOULD Items:

[P]  Should build in mock.
[P]  Should build on all supported archs
[-]  Should function as described.
[-]  Should have sane scriptlets.
[-]  Should have sub packages require base package with fully versioned depend.
[P]  Should have dist tag
[P]  Should package latest version
[P]  Check for outstanding bugs on package. (For core merge reviews)

Items marked with a question mark are open for discussion.

Comment 4 Gwyn Ciesla 2011-03-30 15:27:00 UTC
WRT the name, I'd go with wbfs-manager, don't rename the binary, but go with WBFS Manager in the .desktop file which is missing and is needed if this is a graphical application, which it seems to be. 

It might also be nice to change the Description as follows from:

This is yet another graphic WBFS manager for Linux. It uses libwbfs from 
Kwiirk and caristat (available from the authors at 
http://github.com/kwiirk/wbfs/tree/master). 


to:

This is yet another graphic WBFS(Explode acronym here so we know what is stands for) manager for Linux. It uses libwbfs from 
Kwiirk and caristat (available from the authors at 
http://github.com/kwiirk/wbfs/tree/master).

Comment 5 David Riches 2011-04-07 20:03:59 UTC
Thanks..

Made the changes:

http://dcr226.fedorapeople.org/SPECS/wbfs-manager.spec
http://dcr226.fedorapeople.org/SRPMS/wbfs-manager-0.1.12-1.fc14.src.rpm

And I've added the .desktop file. Albeit without an icon currently. But I'll get that added once the artwork is done. I'm under the impression that the actual icon isn't required.

debuginfo has been a pita, and regardless of stopping any stripping of the binary, the result is the same. I'm hoping you will agree that stopping it from creating a debuginfo was the correct path in the end.

Koji scratch builds : 

http://koji.fedoraproject.org/koji/taskinfo?taskID=2982587  <- f13
http://koji.fedoraproject.org/koji/taskinfo?taskID=2982579  <- f14
http://koji.fedoraproject.org/koji/taskinfo?taskID=2982592  <- f15
http://koji.fedoraproject.org/koji/taskinfo?taskID=2982598  <- rawhide

Thanks again..

Dave

Comment 6 Randy Berry 2011-05-06 22:46:38 UTC
Looks like issues have been addressed.

== APPROVED ==

Comment 7 David Riches 2011-05-06 23:33:36 UTC
New Package SCM Request
=======================
Package Name: wbfs-manager
Short Description: A WBFS manager for Linux using GTK+
Owners: dcr226
Branches: f13 f14 f15
InitialCC:

Comment 8 Jason Tibbitts 2011-05-10 15:24:04 UTC
Git done (by process-git-requests).

Although I have to add that neither the Summary: nor the %description actually
tell you anything about what the package actually does.

Comment 9 Fedora Update System 2011-05-12 18:07:31 UTC
wbfs-manager-0.1.12-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/wbfs-manager-0.1.12-1.fc13

Comment 10 Fedora Update System 2011-05-12 18:14:12 UTC
wbfs-manager-0.1.12-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/wbfs-manager-0.1.12-1.fc14

Comment 11 Fedora Update System 2011-05-12 18:15:22 UTC
wbfs-manager-0.1.12-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/wbfs-manager-0.1.12-1.fc15

Comment 12 Fedora Update System 2011-05-13 23:02:56 UTC
wbfs-manager-0.1.12-1.fc14 has been pushed to the Fedora 14 testing repository.

Comment 13 Fedora Update System 2011-05-23 19:07:37 UTC
wbfs-manager-0.1.12-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/wbfs-manager-0.1.12-2.fc15

Comment 14 Fedora Update System 2011-05-23 19:15:32 UTC
wbfs-manager-0.1.12-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/wbfs-manager-0.1.12-2.fc14

Comment 15 Fedora Update System 2011-05-29 23:20:10 UTC
wbfs-manager-0.1.12-1.fc13 has been pushed to the Fedora 13 stable repository.

Comment 16 Fedora Update System 2011-06-24 17:52:04 UTC
wbfs-manager-0.1.12-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2011-06-24 17:55:08 UTC
wbfs-manager-0.1.12-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.